aboutsummaryrefslogtreecommitdiffstats
path: root/testing/tomcat-native/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-11-27 00:06:49 +0100
committerJakub Jirutka <jakub@jirutka.cz>2016-11-27 00:16:26 +0100
commit853cd1e5ab1e96ce60f70dfdeabf0a969b305820 (patch)
tree3169d45542e0ad9167091e31eba05a316f1a44e6 /testing/tomcat-native/APKBUILD
parentfaa7ffc511fd17dff91085aec3cc8231d7509ffc (diff)
downloadaports-853cd1e5ab1e96ce60f70dfdeabf0a969b305820.tar.gz
aports-853cd1e5ab1e96ce60f70dfdeabf0a969b305820.tar.bz2
aports-853cd1e5ab1e96ce60f70dfdeabf0a969b305820.tar.xz
testing/tomcat-native: remove redundant rpath
Diffstat (limited to 'testing/tomcat-native/APKBUILD')
-rw-r--r--testing/tomcat-native/APKBUILD6
1 files changed, 5 insertions, 1 deletions
diff --git a/testing/tomcat-native/APKBUILD b/testing/tomcat-native/APKBUILD
index b8ab6841d8..c778145ed3 100644
--- a/testing/tomcat-native/APKBUILD
+++ b/testing/tomcat-native/APKBUILD
@@ -9,7 +9,7 @@ url="http://tomcat.apache.org/native-doc/"
arch="all"
license="ASL-2.0"
depends="openjdk8-jre-base"
-makedepends="apr-dev openjdk8"
+makedepends="apr-dev chrpath openjdk8"
subpackages="$pkgname-dev"
source="http://www-eu.apache.org/dist/tomcat/tomcat-connectors/native/$pkgver/source/$pkgname-$pkgver-src.tar.gz"
builddir="$srcdir/$pkgname-$pkgver-src/native"
@@ -29,6 +29,10 @@ package() {
cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
+
+ # Remove redundant rpath.
+ chrpath --delete "$pkgdir"/usr/lib/libtcnative-1.so || return 1
+
rm -f "$pkgdir"/usr/lib/libtcnative-1.la || return 1
rmdir "$pkgdir"/usr/bin
}